#include <vector>
#include <string>
#include "testlib.h"
#include <iostream>
#include <map>

using namespace std;


int main(int argc, char **argv)
{
  registerTestlibCmd(argc, argv);

  double score = 70;
	int tests = inf.readInt();
	string o = ouf.readWord();
	string a = ans.readWord();
	if (o.size() != tests)
		quitf(_pe, "Length of string should be %d instead of %d", tests, o.size());
	for (int i = 0; i < tests; ++i) {
		if (o[i] != 'O' && o[i] != 'X' && o[i] != 'D')
			quitf(_pe, "Wrong symbol %c on position %d", o[i], i);
		if (o[i] != a[i])
			score -= 10;
	}
	
  score = max(0.0, score);
  quitp(score, "participant's solution is ok");

  return 0;
} 